searchData={"items":[{"type":"module","title":"FlowbitePhoenix","doc":"FlowbitePhoenix - A comprehensive Phoenix LiveView component library using Flowbite CSS framework.\n\nFlowbitePhoenix provides a complete set of UI components styled with Flowbite, \na utility-first CSS framework built on Tailwind CSS. It offers ready-to-use\ncomponents for forms, layout, feedback, and navigation with consistent styling\nand theming support.","ref":"FlowbitePhoenix.html"},{"type":"module","title":"Important: JavaScript Setup - FlowbitePhoenix","doc":"FlowbitePhoenix requires the Phoenix LiveView compatible version of Flowbite JS\nto function properly. Always use `flowbite.phoenix.js` instead of the regular\n`flowbite.js` to ensure interactive components work correctly with LiveView\npage transitions.","ref":"FlowbitePhoenix.html#module-important-javascript-setup"},{"type":"module","title":"Installation - FlowbitePhoenix","doc":"Add `flowbite_phoenix` to your list of dependencies in `mix.exs`:\n\n    def deps do\n      [\n        {:flowbite_phoenix, \"~> 0.1.1\"}\n      ]\n    end\n\nThen fetch the dependencies and run the installation task:\n\n    mix deps.get\n    mix flowbite_phoenix.install","ref":"FlowbitePhoenix.html#module-installation"},{"type":"module","title":"Usage - FlowbitePhoenix","doc":"Import the component modules you need in your templates or components:\n\n    import FlowbitePhoenix.Components.Forms\n    import FlowbitePhoenix.Components.Layout\n    import FlowbitePhoenix.Components.Feedback\n    import FlowbitePhoenix.Components.Navigation\n\nOr import all components at once:\n\n    import FlowbitePhoenix.Components","ref":"FlowbitePhoenix.html#module-usage"},{"type":"module","title":"Configuration - FlowbitePhoenix","doc":"You can configure FlowbitePhoenix in your `config.exs`:\n\n    config :flowbite_phoenix,\n      gettext_backend: MyAppWeb.Gettext,\n      theme: %{\n        primary_color: \"blue\",\n        # Additional theme customizations...\n      }","ref":"FlowbitePhoenix.html#module-configuration"},{"type":"module","title":"Components - FlowbitePhoenix","doc":"FlowbitePhoenix provides the following component categories:\n\n- **Forms**: `input/1`, `button/1`, `simple_form/1`, `toggle/1`, `label/1`, `error/1`\n- **Layout**: `modal/1`, `table/1`, `card/1`, `card_header/1`, `header/1`, `icon/1` \n- **Feedback**: `flash/1`, `flash_group/1`, `alert/1`, `badge/1`, `spinner/1`\n- **Navigation**: `dropdown/1`, `back/1`, `breadcrumb/1`, `pagination/1`\n\nAll components follow Flowbite design patterns and support dark mode.","ref":"FlowbitePhoenix.html#module-components"},{"type":"function","title":"FlowbitePhoenix.gettext/2","doc":"Convenience function for gettext translation.","ref":"FlowbitePhoenix.html#gettext/2"},{"type":"function","title":"FlowbitePhoenix.translate_error/1","doc":"Translates an error message using gettext.\n\nThis function provides a unified way to translate error messages throughout\nthe FlowbitePhoenix components, with fallback support when Gettext is not available.","ref":"FlowbitePhoenix.html#translate_error/1"},{"type":"function","title":"FlowbitePhoenix.translate_errors/2","doc":"Translates the errors for a field from a keyword list of errors.","ref":"FlowbitePhoenix.html#translate_errors/2"},{"type":"function","title":"FlowbitePhoenix.version/0","doc":"Returns the version of FlowbitePhoenix.","ref":"FlowbitePhoenix.html#version/0"},{"type":"module","title":"FlowbitePhoenix.Components","doc":"Import all FlowbitePhoenix components in one go.\n\nThis module provides a convenient way to import all FlowbitePhoenix components\nat once instead of importing them individually.","ref":"FlowbitePhoenix.Components.html"},{"type":"module","title":"Usage - FlowbitePhoenix.Components","doc":"import FlowbitePhoenix.Components\n\nThis is equivalent to:\n\n    import FlowbitePhoenix.Components.Forms\n    import FlowbitePhoenix.Components.Layout\n    import FlowbitePhoenix.Components.Feedback\n    import FlowbitePhoenix.Components.Navigation","ref":"FlowbitePhoenix.Components.html#module-usage"},{"type":"module","title":"Individual Imports - FlowbitePhoenix.Components","doc":"You can also import specific component modules:\n\n    import FlowbitePhoenix.Components.Forms      # Forms: input, button, simple_form, toggle, etc.\n    import FlowbitePhoenix.Components.Layout     # Layout: modal, table, card, header, etc.  \n    import FlowbitePhoenix.Components.Feedback   # Feedback: flash, alert, badge, spinner, etc.\n    import FlowbitePhoenix.Components.Navigation # Navigation: dropdown, back, breadcrumb, etc.","ref":"FlowbitePhoenix.Components.html#module-individual-imports"},{"type":"function","title":"FlowbitePhoenix.Components.alert/1","doc":"See  FlowbitePhoenix.Components.Feedback.alert/1 .","ref":"FlowbitePhoenix.Components.html#alert/1"},{"type":"function","title":"FlowbitePhoenix.Components.back/1","doc":"See  FlowbitePhoenix.Components.Navigation.back/1 .","ref":"FlowbitePhoenix.Components.html#back/1"},{"type":"function","title":"FlowbitePhoenix.Components.badge/1","doc":"See  FlowbitePhoenix.Components.Feedback.badge/1 .","ref":"FlowbitePhoenix.Components.html#badge/1"},{"type":"function","title":"FlowbitePhoenix.Components.breadcrumb/1","doc":"See  FlowbitePhoenix.Components.Navigation.breadcrumb/1 .","ref":"FlowbitePhoenix.Components.html#breadcrumb/1"},{"type":"function","title":"FlowbitePhoenix.Components.button/1","doc":"See  FlowbitePhoenix.Components.Forms.button/1 .","ref":"FlowbitePhoenix.Components.html#button/1"},{"type":"function","title":"FlowbitePhoenix.Components.card/1","doc":"See  FlowbitePhoenix.Components.Layout.card/1 .","ref":"FlowbitePhoenix.Components.html#card/1"},{"type":"function","title":"FlowbitePhoenix.Components.card_header/1","doc":"See  FlowbitePhoenix.Components.Layout.card_header/1 .","ref":"FlowbitePhoenix.Components.html#card_header/1"},{"type":"function","title":"FlowbitePhoenix.Components.dropdown/1","doc":"See  FlowbitePhoenix.Components.Navigation.dropdown/1 .","ref":"FlowbitePhoenix.Components.html#dropdown/1"},{"type":"function","title":"FlowbitePhoenix.Components.error/1","doc":"See  FlowbitePhoenix.Components.Forms.error/1 .","ref":"FlowbitePhoenix.Components.html#error/1"},{"type":"function","title":"FlowbitePhoenix.Components.flash/1","doc":"See  FlowbitePhoenix.Components.Feedback.flash/1 .","ref":"FlowbitePhoenix.Components.html#flash/1"},{"type":"function","title":"FlowbitePhoenix.Components.flash_group/1","doc":"See  FlowbitePhoenix.Components.Feedback.flash_group/1 .","ref":"FlowbitePhoenix.Components.html#flash_group/1"},{"type":"function","title":"FlowbitePhoenix.Components.header/1","doc":"See  FlowbitePhoenix.Components.Layout.header/1 .","ref":"FlowbitePhoenix.Components.html#header/1"},{"type":"function","title":"FlowbitePhoenix.Components.icon/1","doc":"See  FlowbitePhoenix.Components.Layout.icon/1 .","ref":"FlowbitePhoenix.Components.html#icon/1"},{"type":"function","title":"FlowbitePhoenix.Components.input/1","doc":"See  FlowbitePhoenix.Components.Forms.input/1 .","ref":"FlowbitePhoenix.Components.html#input/1"},{"type":"function","title":"FlowbitePhoenix.Components.label/1","doc":"See  FlowbitePhoenix.Components.Forms.label/1 .","ref":"FlowbitePhoenix.Components.html#label/1"},{"type":"function","title":"FlowbitePhoenix.Components.modal/1","doc":"See  FlowbitePhoenix.Components.Layout.modal/1 .","ref":"FlowbitePhoenix.Components.html#modal/1"},{"type":"function","title":"FlowbitePhoenix.Components.pagination/1","doc":"See  FlowbitePhoenix.Components.Navigation.pagination/1 .","ref":"FlowbitePhoenix.Components.html#pagination/1"},{"type":"function","title":"FlowbitePhoenix.Components.simple_form/1","doc":"See  FlowbitePhoenix.Components.Forms.simple_form/1 .","ref":"FlowbitePhoenix.Components.html#simple_form/1"},{"type":"function","title":"FlowbitePhoenix.Components.spinner/1","doc":"See  FlowbitePhoenix.Components.Feedback.spinner/1 .","ref":"FlowbitePhoenix.Components.html#spinner/1"},{"type":"function","title":"FlowbitePhoenix.Components.table/1","doc":"See  FlowbitePhoenix.Components.Layout.table/1 .","ref":"FlowbitePhoenix.Components.html#table/1"},{"type":"function","title":"FlowbitePhoenix.Components.toggle/1","doc":"See  FlowbitePhoenix.Components.Forms.toggle/1 .","ref":"FlowbitePhoenix.Components.html#toggle/1"},{"type":"module","title":"FlowbitePhoenix.Config","doc":"Configuration management for FlowbitePhoenix.\n\nThis module provides centralized configuration management for themes,\ncolors, and other customizable aspects of FlowbitePhoenix components.","ref":"FlowbitePhoenix.Config.html"},{"type":"function","title":"FlowbitePhoenix.Config.alert_config/0","doc":"Gets alert configuration.","ref":"FlowbitePhoenix.Config.html#alert_config/0"},{"type":"function","title":"FlowbitePhoenix.Config.available_colors/0","doc":"Returns available color options for components.","ref":"FlowbitePhoenix.Config.html#available_colors/0"},{"type":"function","title":"FlowbitePhoenix.Config.available_sizes/0","doc":"Returns available size options for components.","ref":"FlowbitePhoenix.Config.html#available_sizes/0"},{"type":"function","title":"FlowbitePhoenix.Config.badge_config/0","doc":"Gets badge configuration.","ref":"FlowbitePhoenix.Config.html#badge_config/0"},{"type":"function","title":"FlowbitePhoenix.Config.button_config/0","doc":"Gets button configuration.","ref":"FlowbitePhoenix.Config.html#button_config/0"},{"type":"function","title":"FlowbitePhoenix.Config.component_config/1","doc":"Gets component-specific configuration.","ref":"FlowbitePhoenix.Config.html#component_config/1"},{"type":"function","title":"FlowbitePhoenix.Config.dark_mode_enabled?/0","doc":"Checks if dark mode is enabled in configuration.","ref":"FlowbitePhoenix.Config.html#dark_mode_enabled?/0"},{"type":"function","title":"FlowbitePhoenix.Config.get/1","doc":"Gets a specific configuration value by path.","ref":"FlowbitePhoenix.Config.html#get/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Config.get/1","doc":"FlowbitePhoenix.Config.get([:theme, :primary_color])\n    # => \"blue\"\n    \n    FlowbitePhoenix.Config.get([:button, :base_classes])\n    # => \"focus:ring-4 focus:outline-none...\"","ref":"FlowbitePhoenix.Config.html#get/1-examples"},{"type":"function","title":"FlowbitePhoenix.Config.get_config/0","doc":"Gets the complete configuration for FlowbitePhoenix.\n\nMerges application configuration with defaults.","ref":"FlowbitePhoenix.Config.html#get_config/0"},{"type":"function","title":"FlowbitePhoenix.Config.gettext_backend/0","doc":"Gets the Gettext backend if configured.","ref":"FlowbitePhoenix.Config.html#gettext_backend/0"},{"type":"function","title":"FlowbitePhoenix.Config.input_config/0","doc":"Gets input configuration.","ref":"FlowbitePhoenix.Config.html#input_config/0"},{"type":"function","title":"FlowbitePhoenix.Config.primary_color/0","doc":"Gets the primary color from theme configuration.","ref":"FlowbitePhoenix.Config.html#primary_color/0"},{"type":"function","title":"FlowbitePhoenix.Config.validate_config/0","doc":"Validates the configuration and returns any errors.","ref":"FlowbitePhoenix.Config.html#validate_config/0"},{"type":"module","title":"FlowbitePhoenix.Gettext","doc":"Gettext backend for FlowbitePhoenix.\n\nThis module provides internationalization support for FlowbitePhoenix components.\nIt can work with or without Gettext depending on what's available in the host application.","ref":"FlowbitePhoenix.Gettext.html"},{"type":"function","title":"FlowbitePhoenix.Gettext.dgettext/3","doc":"Translates a string with domain using gettext if available.","ref":"FlowbitePhoenix.Gettext.html#dgettext/3"},{"type":"function","title":"FlowbitePhoenix.Gettext.dngettext/5","doc":"Translates plural forms using gettext if available.","ref":"FlowbitePhoenix.Gettext.html#dngettext/5"},{"type":"function","title":"FlowbitePhoenix.Gettext.gettext/2","doc":"Translates a string using gettext if available, otherwise returns the default.\n\nThis function provides fallback translations when Gettext is not available.","ref":"FlowbitePhoenix.Gettext.html#gettext/2"},{"type":"task","title":"mix flowbite_phoenix.install","doc":"Installs FlowbitePhoenix in a Phoenix application.\n\nThis task configures your Phoenix application to use FlowbitePhoenix components\nby adding the necessary CSS and JavaScript assets, and optionally generating\nexample components.\n\n    mix flowbite_phoenix.install","ref":"Mix.Tasks.FlowbitePhoenix.Install.html"},{"type":"task","title":"Options - mix flowbite_phoenix.install","doc":"* `--no-assets` - Skip adding Flowbite CSS/JS assets to root.html.heex\n  * `--no-examples` - Skip generating example components\n  * `--gettext` - Configure Gettext backend for translations","ref":"Mix.Tasks.FlowbitePhoenix.Install.html#module-options"},{"type":"task","title":"What it does - mix flowbite_phoenix.install","doc":"1. Adds Flowbite CSS and JavaScript to your root.html.heex template\n2. Creates example components demonstrating usage\n3. Optionally configures Gettext backend\n4. Provides usage instructions","ref":"Mix.Tasks.FlowbitePhoenix.Install.html#module-what-it-does"},{"type":"module","title":"FlowbitePhoenix.Components.Feedback","doc":"Feedback components for FlowbitePhoenix using Flowbite CSS framework.\n\nThis module provides feedback-related components including alerts, badges, \nflash messages, and spinners with consistent Flowbite styling.","ref":"FlowbitePhoenix.Components.Feedback.html"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.alert/1","doc":"Renders a Flowbite alert component.","ref":"FlowbitePhoenix.Components.Feedback.html#alert/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Feedback.alert/1","doc":"<.alert color=\"green\">Success! Your changes have been saved.</.alert>\n    <.alert color=\"red\" dismissible={true}>Error! Something went wrong.</.alert>","ref":"FlowbitePhoenix.Components.Feedback.html#alert/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Feedback.alert/1","doc":"* `color` (`:string`) - Defaults to `\"blue\"`. Must be one of `\"blue\"`, `\"red\"`, `\"green\"`, `\"yellow\"`, or `\"gray\"`.\n* `dismissible` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `\"\"`.\n* `id` (`:string`) - Defaults to `nil`.","ref":"FlowbitePhoenix.Components.Feedback.html#alert/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Feedback.alert/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Feedback.html#alert/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.badge/1","doc":"Renders a badge with Flowbite styling.","ref":"FlowbitePhoenix.Components.Feedback.html#badge/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Feedback.badge/1","doc":"<.badge>Default</.badge>\n    <.badge color=\"green\">Success</.badge>\n    <.badge color=\"red\" size=\"sm\">Error</.badge>","ref":"FlowbitePhoenix.Components.Feedback.html#badge/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Feedback.badge/1","doc":"* `color` (`:string`) - Defaults to `\"blue\"`. Must be one of `\"blue\"`, `\"gray\"`, `\"red\"`, `\"green\"`, `\"yellow\"`, `\"indigo\"`, `\"purple\"`, or `\"pink\"`.\n* `size` (`:string`) - Defaults to `\"default\"`. Must be one of `\"xs\"`, `\"sm\"`, or `\"default\"`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Feedback.html#badge/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Feedback.badge/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Feedback.html#badge/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.flash/1","doc":"Renders flash notices using Flowbite alert styling.","ref":"FlowbitePhoenix.Components.Feedback.html#flash/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Feedback.flash/1","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","ref":"FlowbitePhoenix.Components.Feedback.html#flash/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Feedback.flash/1","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup. Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","ref":"FlowbitePhoenix.Components.Feedback.html#flash/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Feedback.flash/1","doc":"* `inner_block` - the optional inner block that renders the flash message.","ref":"FlowbitePhoenix.Components.Feedback.html#flash/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.flash_group/1","doc":"Shows the flash group with standard titles and content.","ref":"FlowbitePhoenix.Components.Feedback.html#flash_group/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Feedback.flash_group/1","doc":"<.flash_group flash={@flash} />","ref":"FlowbitePhoenix.Components.Feedback.html#flash_group/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Feedback.flash_group/1","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","ref":"FlowbitePhoenix.Components.Feedback.html#flash_group/1-attributes"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.hide/2","doc":"","ref":"FlowbitePhoenix.Components.Feedback.html#hide/2"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.show/2","doc":"","ref":"FlowbitePhoenix.Components.Feedback.html#show/2"},{"type":"function","title":"FlowbitePhoenix.Components.Feedback.spinner/1","doc":"Renders a spinner with Flowbite styling.","ref":"FlowbitePhoenix.Components.Feedback.html#spinner/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Feedback.spinner/1","doc":"<.spinner />\n    <.spinner size=\"lg\" />","ref":"FlowbitePhoenix.Components.Feedback.html#spinner/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Feedback.spinner/1","doc":"* `size` (`:string`) - Defaults to `\"default\"`. Must be one of `\"sm\"`, `\"default\"`, or `\"lg\"`.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Feedback.html#spinner/1-attributes"},{"type":"module","title":"FlowbitePhoenix.Components.Forms","doc":"Form components for FlowbitePhoenix using Flowbite CSS framework.\n\nThis module provides form-related components including inputs, buttons, \ntoggles, and form containers with consistent Flowbite styling.","ref":"FlowbitePhoenix.Components.Forms.html"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.button/1","doc":"Renders a button with Flowbite styling and multiple variants.","ref":"FlowbitePhoenix.Components.Forms.html#button/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Forms.button/1","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" color=\"alternative\">Cancel</.button>\n    <.button loading={true} color=\"blue\">Loading...</.button>\n    <.button variant=\"outline\" color=\"red\">Delete</.button>","ref":"FlowbitePhoenix.Components.Forms.html#button/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Forms.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* `loading` (`:boolean`) - Defaults to `false`.\n* `variant` (`:string`) - Defaults to `\"default\"`. Must be one of `\"default\"`, or `\"outline\"`.\n* `color` (`:string`) - Defaults to `\"blue\"`. Must be one of `\"blue\"`, `\"alternative\"`, `\"dark\"`, `\"light\"`, `\"green\"`, `\"red\"`, `\"yellow\"`, or `\"purple\"`.\n* `size` (`:string`) - Defaults to `\"default\"`. Must be one of `\"xs\"`, `\"sm\"`, `\"default\"`, `\"lg\"`, or `\"xl\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"FlowbitePhoenix.Components.Forms.html#button/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Forms.button/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Forms.html#button/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.error/1","doc":"Generates a generic error message with Flowbite styling.","ref":"FlowbitePhoenix.Components.Forms.html#error/1"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Forms.error/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Forms.html#error/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.input/1","doc":"Renders an input with label and error messages using Flowbite styling.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","ref":"FlowbitePhoenix.Components.Forms.html#input/1"},{"type":"function","title":"Types - FlowbitePhoenix.Components.Forms.input/1","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information. Unsupported types, such as hidden and radio,\nare best written directly in your templates.","ref":"FlowbitePhoenix.Components.Forms.html#input/1-types"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Forms.input/1","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","ref":"FlowbitePhoenix.Components.Forms.html#input/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Forms.input/1","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`. Must be one of `\"checkbox\"`, `\"color\"`, `\"date\"`, `\"datetime-local\"`, `\"email\"`, `\"file\"`, `\"hidden\"`, `\"month\"`, `\"number\"`, `\"password\"`, `\"range\"`, `\"search\"`, `\"select\"`, `\"tel\"`, `\"text\"`, `\"textarea\"`, `\"time\"`, `\"url\"`, or `\"week\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"FlowbitePhoenix.Components.Forms.html#input/1-attributes"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.label/1","doc":"Renders a label with Flowbite styling.","ref":"FlowbitePhoenix.Components.Forms.html#label/1"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Forms.label/1","doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"FlowbitePhoenix.Components.Forms.html#label/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Forms.label/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Forms.html#label/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.simple_form/1","doc":"Renders a simple form with Flowbite styling.","ref":"FlowbitePhoenix.Components.Forms.html#simple_form/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Forms.simple_form/1","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","ref":"FlowbitePhoenix.Components.Forms.html#simple_form/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Forms.simple_form/1","doc":"* `for` (`:any`) (required) - the data structure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"FlowbitePhoenix.Components.Forms.html#simple_form/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Forms.simple_form/1","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","ref":"FlowbitePhoenix.Components.Forms.html#simple_form/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Forms.toggle/1","doc":"Renders a toggle switch component using Flowbite styling.","ref":"FlowbitePhoenix.Components.Forms.html#toggle/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Forms.toggle/1","doc":"<.toggle name=\"notifications\" label=\"Enable notifications\" />\n    <.toggle name=\"dark_mode\" label=\"Dark mode\" checked={true} />","ref":"FlowbitePhoenix.Components.Forms.html#toggle/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Forms.toggle/1","doc":"* `id` (`:string`) - Defaults to `nil`.\n* `name` (`:string`) (required)\n* `label` (`:string`) - Defaults to `nil`.\n* `checked` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `\"\"`.\n* Global attributes are accepted.","ref":"FlowbitePhoenix.Components.Forms.html#toggle/1-attributes"},{"type":"module","title":"FlowbitePhoenix.Components.Layout","doc":"Layout components for FlowbitePhoenix using Flowbite CSS framework.\n\nThis module provides layout-related components including modals, tables, \ncards, and headers with consistent Flowbite styling.","ref":"FlowbitePhoenix.Components.Layout.html"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.card/1","doc":"Renders a card with Flowbite styling.","ref":"FlowbitePhoenix.Components.Layout.html#card/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Layout.card/1","doc":"<.card>\n      <.card_header>Card Title</.card_header>\n       Card content goes here. \n    </.card>","ref":"FlowbitePhoenix.Components.Layout.html#card/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.card/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Layout.html#card/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Layout.card/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Layout.html#card/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.card_header/1","doc":"Renders a card header.","ref":"FlowbitePhoenix.Components.Layout.html#card_header/1"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.card_header/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Layout.html#card_header/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Layout.card_header/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Layout.html#card_header/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.header/1","doc":"Renders a header with title using consistent styling.","ref":"FlowbitePhoenix.Components.Layout.html#header/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Layout.header/1","doc":"<.header>\n      Account Settings\n      <:subtitle>Manage your account email address and password settings</:subtitle>\n    </.header>","ref":"FlowbitePhoenix.Components.Layout.html#header/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.header/1","doc":"* `class` (`:string`) - Defaults to `nil`.","ref":"FlowbitePhoenix.Components.Layout.html#header/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Layout.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"FlowbitePhoenix.Components.Layout.html#header/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.hide/2","doc":"","ref":"FlowbitePhoenix.Components.Layout.html#hide/2"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.hide_modal/2","doc":"","ref":"FlowbitePhoenix.Components.Layout.html#hide_modal/2"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.icon/1","doc":"Renders a [Heroicon](https://heroicons.com).\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from the `deps/heroicons` directory and bundled within\nyour compiled app.css by the plugin in your `assets/tailwind.config.js`.","ref":"FlowbitePhoenix.Components.Layout.html#icon/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Layout.icon/1","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 animate-spin\" />","ref":"FlowbitePhoenix.Components.Layout.html#icon/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.icon/1","doc":"* `name` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.\n* `id` (`:string`) - Defaults to `nil`.","ref":"FlowbitePhoenix.Components.Layout.html#icon/1-attributes"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.modal/1","doc":"Renders a modal using Flowbite styling.","ref":"FlowbitePhoenix.Components.Layout.html#modal/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Layout.modal/1","doc":"<.modal id=\"confirm-modal\">\n      <:title>Confirm Action</:title>\n      This is a modal with Flowbite styling.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      <:title>Navigate Modal</:title>\n      This modal will navigate on cancel.\n    </.modal>","ref":"FlowbitePhoenix.Components.Layout.html#modal/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.modal/1","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","ref":"FlowbitePhoenix.Components.Layout.html#modal/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Layout.modal/1","doc":"* `inner_block` (required)\n* `title`","ref":"FlowbitePhoenix.Components.Layout.html#modal/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.show/2","doc":"","ref":"FlowbitePhoenix.Components.Layout.html#show/2"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.show_modal/2","doc":"","ref":"FlowbitePhoenix.Components.Layout.html#show_modal/2"},{"type":"function","title":"FlowbitePhoenix.Components.Layout.table/1","doc":"Renders a table with Flowbite styling.","ref":"FlowbitePhoenix.Components.Layout.html#table/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Layout.table/1","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\">{user.id}</:col>\n      <:col :let={user} label=\"username\">{user.username}</:col>\n    </.table>","ref":"FlowbitePhoenix.Components.Layout.html#table/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Layout.table/1","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","ref":"FlowbitePhoenix.Components.Layout.html#table/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Layout.table/1","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","ref":"FlowbitePhoenix.Components.Layout.html#table/1-slots"},{"type":"module","title":"FlowbitePhoenix.Components.Navigation","doc":"Navigation components for FlowbitePhoenix using Flowbite CSS framework.\n\nThis module provides navigation-related components including dropdowns, \nback links, and other navigation elements with consistent Flowbite styling.","ref":"FlowbitePhoenix.Components.Navigation.html"},{"type":"function","title":"FlowbitePhoenix.Components.Navigation.back/1","doc":"Renders a back navigation link.","ref":"FlowbitePhoenix.Components.Navigation.html#back/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Navigation.back/1","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","ref":"FlowbitePhoenix.Components.Navigation.html#back/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Navigation.back/1","doc":"* `navigate` (`:any`) (required)","ref":"FlowbitePhoenix.Components.Navigation.html#back/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Navigation.back/1","doc":"* `inner_block` (required)","ref":"FlowbitePhoenix.Components.Navigation.html#back/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Navigation.breadcrumb/1","doc":"Renders a breadcrumb navigation component.","ref":"FlowbitePhoenix.Components.Navigation.html#breadcrumb/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Navigation.breadcrumb/1","doc":"<.breadcrumb>\n      <:item navigate={~p\"/\"}>Home</:item>\n      <:item navigate={~p\"/posts\"}>Posts</:item>\n      <:item>Current Page</:item>\n    </.breadcrumb>","ref":"FlowbitePhoenix.Components.Navigation.html#breadcrumb/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Navigation.breadcrumb/1","doc":"* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Navigation.html#breadcrumb/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Navigation.breadcrumb/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `navigate` (`:string`)","ref":"FlowbitePhoenix.Components.Navigation.html#breadcrumb/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Navigation.dropdown/1","doc":"Renders a dropdown component using Flowbite styling.","ref":"FlowbitePhoenix.Components.Navigation.html#dropdown/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Navigation.dropdown/1","doc":"<.dropdown id=\"user-menu\">\n      <:trigger>\n        <.button>Options</.button>\n      </:trigger>\n      <:item navigate={~p\"/profile\"}>Profile</:item>\n      <:item navigate={~p\"/settings\"}>Settings</:item>\n    </.dropdown>","ref":"FlowbitePhoenix.Components.Navigation.html#dropdown/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Navigation.dropdown/1","doc":"* `id` (`:string`) (required)\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Navigation.html#dropdown/1-attributes"},{"type":"function","title":"Slots - FlowbitePhoenix.Components.Navigation.dropdown/1","doc":"* `trigger` (required)\n* `item` (required) - Accepts attributes:\n\n  * `navigate` (`:string`)\n  * `method` (`:string`)","ref":"FlowbitePhoenix.Components.Navigation.html#dropdown/1-slots"},{"type":"function","title":"FlowbitePhoenix.Components.Navigation.pagination/1","doc":"Renders a pagination component.","ref":"FlowbitePhoenix.Components.Navigation.html#pagination/1"},{"type":"function","title":"Examples - FlowbitePhoenix.Components.Navigation.pagination/1","doc":"<.pagination \n      current_page={@current_page} \n      total_pages={@total_pages}\n      path_fn={fn page -> \"/posts?page=\" <> to_string(page) end}\n    />","ref":"FlowbitePhoenix.Components.Navigation.html#pagination/1-examples"},{"type":"function","title":"Attributes - FlowbitePhoenix.Components.Navigation.pagination/1","doc":"* `current_page` (`:integer`) (required)\n* `total_pages` (`:integer`) (required)\n* `path_fn` (`:any`) (required) - Function that takes a page number and returns a path.\n* `class` (`:string`) - Defaults to `\"\"`.","ref":"FlowbitePhoenix.Components.Navigation.html#pagination/1-attributes"},{"type":"extras","title":"FlowbitePhoenix","doc":"# FlowbitePhoenix\n\nA comprehensive Phoenix LiveView component library using the Flowbite CSS framework. FlowbitePhoenix provides ready-to-use UI components with beautiful styling, dark mode support, and flexible theming options.\n\n[![Hex Version](https://img.shields.io/hexpm/v/flowbite_phoenix.svg)](https://hex.pm/packages/flowbite_phoenix)\n[![Documentation](https://img.shields.io/badge/documentation-blue)](https://hexdocs.pm/flowbite_phoenix)\n[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)\n[![Downloads](https://img.shields.io/hexpm/dt/flowbite_phoenix.svg)](https://hex.pm/packages/flowbite_phoenix)","ref":"readme.html"},{"type":"extras","title":"Features - FlowbitePhoenix","doc":"- 🎨 **Beautiful Components**: Pre-styled with Flowbite's modern design system\n- 🌙 **Dark Mode**: Full dark mode support out of the box\n- 🎯 **Type Safe**: Built with Phoenix.Component for compile-time validation\n- 🌍 **i18n Ready**: Optional Gettext integration with fallback strings\n- 🔧 **Customizable**: Flexible theming and configuration system\n- 📱 **Responsive**: Mobile-first responsive design\n- ⚡ **LiveView Native**: Optimized for Phoenix LiveView","ref":"readme.html#features"},{"type":"extras","title":"Components - FlowbitePhoenix","doc":"","ref":"readme.html#components"},{"type":"extras","title":"Forms - FlowbitePhoenix","doc":"- `input/1` - Text inputs, selects, textareas, checkboxes\n- `button/1` - Buttons with variants, colors, and loading states\n- `simple_form/1` - Form wrapper with styling\n- `toggle/1` - Toggle switches\n- `label/1` and `error/1` - Form labels and error messages","ref":"readme.html#forms"},{"type":"extras","title":"Layout - FlowbitePhoenix","doc":"- `modal/1` - Modal dialogs with backdrop\n- `table/1` - Data tables with sorting and actions\n- `card/1` and `card_header/1` - Content cards\n- `header/1` - Page headers with titles and subtitles\n- `icon/1` - Heroicons integration","ref":"readme.html#layout"},{"type":"extras","title":"Feedback - FlowbitePhoenix","doc":"- `flash/1` and `flash_group/1` - Flash messages\n- `alert/1` - Contextual alerts\n- `badge/1` - Status badges and labels\n- `spinner/1` - Loading spinners","ref":"readme.html#feedback"},{"type":"extras","title":"Navigation - FlowbitePhoenix","doc":"- `dropdown/1` - Dropdown menus\n- `breadcrumb/1` - Breadcrumb navigation\n- `pagination/1` - Pagination controls\n- `back/1` - Back navigation links","ref":"readme.html#navigation"},{"type":"extras","title":"Installation - FlowbitePhoenix","doc":"Add `flowbite_phoenix` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:flowbite_phoenix, \"~> 0.1.1\"}\n  ]\nend\n```\n\nThen fetch the dependencies:\n\n```bash\nmix deps.get\n```\n\nThen run the installation task:\n\n```bash\nmix flowbite_phoenix.install\n```\n\nThis will:\n- Add Flowbite CSS and JavaScript to your `root.html.heex`\n- Generate example components\n- Set up configuration (optional)","ref":"readme.html#installation"},{"type":"extras","title":"Manual Setup - FlowbitePhoenix","doc":"If you prefer manual setup, add these to your `root.html.heex`:\n\n```html\n<!-- In the   section -->\n \n\n<!-- Before closing   - Phoenix LiveView compatible version -->\n  \n```","ref":"readme.html#manual-setup"},{"type":"extras","title":"JavaScript Setup Options - FlowbitePhoenix","doc":"#### Option 1: CDN (Recommended for quick setup)\nUse the Phoenix LiveView compatible CDN version shown above.\n\n> **⚠️ Important**: Always use `flowbite.phoenix.js` or `flowbite.phoenix.min.js` with Phoenix LiveView. The regular Flowbite JS doesn't properly handle LiveView page transitions and will cause interactive components (dropdowns, modals, etc.) to stop working after navigation.\n\n#### Option 2: NPM Package (Recommended for production)\nInstall via npm and import in your `assets/js/app.js`:\n\n```bash\nnpm install flowbite\n```\n\nThen in your `assets/js/app.js`:\n\n```javascript\n// Import Phoenix LiveView compatible Flowbite\nimport \"flowbite/dist/flowbite.phoenix.js\";\n```\n\nAnd configure your `assets/tailwind.config.js` to include Flowbite:\n\n```javascript\nmodule.exports = {\n  content: [\n    \"./js/**/*.js\",\n    \"../lib/my_app_web.ex\",\n    \"../lib/my_app_web/**/*.*ex\",\n    \"./node_modules/flowbite/**/*.js\"  // Add this line\n  ],\n  theme: {\n    extend: {},\n  },\n  plugins: [\n    require('flowbite/plugin')  // Add this line\n  ],\n}\n```","ref":"readme.html#javascript-setup-options"},{"type":"extras","title":"Usage - FlowbitePhoenix","doc":"Import the components in your LiveView or templates:\n\n```elixir\n# Import all components\nimport FlowbitePhoenix.Components\n\n# Or import specific modules\nimport FlowbitePhoenix.Components.Forms\nimport FlowbitePhoenix.Components.Layout\nimport FlowbitePhoenix.Components.Feedback\nimport FlowbitePhoenix.Components.Navigation\n```","ref":"readme.html#usage"},{"type":"extras","title":"Basic Examples - FlowbitePhoenix","doc":"**Buttons:**\n```heex\n<.button>Default Button</.button>\n<.button color=\"green\">Success</.button>\n<.button variant=\"outline\" color=\"red\">Delete</.button>\n<.button loading={true}>Loading...</.button>\n```\n\n**Forms:**\n```heex\n<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n  <.input field={@form[:email]} type=\"email\" label=\"Email\" />\n  <.input field={@form[:message]} type=\"textarea\" label=\"Message\" />\n  <.toggle name=\"newsletter\" label=\"Subscribe to newsletter\" />\n  \n  <:actions>\n    <.button type=\"submit\">Save</.button>\n  </:actions>\n</.simple_form>\n```\n\n**Alerts:**\n```heex\n<.alert color=\"green\">Success! Your changes have been saved.</.alert>\n<.alert color=\"red\" dismissible={true}>Error! Something went wrong.</.alert>\n```\n\n**Modal:**\n```heex\n<.modal id=\"confirm-modal\" show={@show_modal}>\n  <:title>Confirm Action</:title>\n   Are you sure you want to continue? \n   \n    <.button phx-click=\"confirm\">Confirm</.button>\n    <.button variant=\"outline\" phx-click=\"cancel\">Cancel</.button>\n   \n</.modal>\n```","ref":"readme.html#basic-examples"},{"type":"extras","title":"Configuration - FlowbitePhoenix","doc":"Configure FlowbitePhoenix in your `config.exs`:\n\n```elixir\nconfig :flowbite_phoenix,\n  # Optional: Set your Gettext backend for translations\n  gettext_backend: MyAppWeb.Gettext,\n  \n  # Optional: Customize theme colors and styling\n  theme: %{\n    primary_color: \"blue\",\n    secondary_color: \"gray\",\n    success_color: \"green\",\n    warning_color: \"yellow\", \n    error_color: \"red\"\n  },\n  \n  # Optional: Customize component defaults\n  button: %{\n    base_classes: \"custom-button-classes\",\n    sizes: %{\n      sm: \"px-2 py-1 text-sm\",\n      default: \"px-4 py-2 text-base\"\n    }\n  }\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Internationalization - FlowbitePhoenix","doc":"FlowbitePhoenix supports internationalization through Gettext with automatic fallbacks:\n\n```elixir\n# In your config.exs\nconfig :flowbite_phoenix,\n  gettext_backend: MyAppWeb.Gettext\n```\n\nThe library provides English fallbacks for all UI text, so Gettext is completely optional.","ref":"readme.html#internationalization"},{"type":"extras","title":"Troubleshooting - FlowbitePhoenix","doc":"","ref":"readme.html#troubleshooting"},{"type":"extras","title":"Interactive Components Not Working - FlowbitePhoenix","doc":"If dropdowns, modals, or other interactive components stop working after LiveView navigation:\n\n1. **Check JavaScript Version**: Ensure you're using `flowbite.phoenix.js` not `flowbite.js`\n2. **Verify Script Loading**: Check browser DevTools to confirm the script is loading\n3. **Clear Browser Cache**: Sometimes cached versions of the old script can cause issues","ref":"readme.html#interactive-components-not-working"},{"type":"extras","title":"Components Not Styled Correctly - FlowbitePhoenix","doc":"1. **Verify CSS**: Ensure Flowbite CSS is properly loaded in your `root.html.heex`\n2. **Check Tailwind Config**: Make sure Flowbite is included in your Tailwind config\n3. **Purge Issues**: Ensure your Tailwind purge settings include Flowbite classes","ref":"readme.html#components-not-styled-correctly"},{"type":"extras","title":"Theming and Customization - FlowbitePhoenix","doc":"","ref":"readme.html#theming-and-customization"},{"type":"extras","title":"CSS Custom Properties - FlowbitePhoenix","doc":"You can override Flowbite's CSS custom properties to match your brand:\n\n```css\n:root {\n  --color-primary-50: /* your colors */;\n  --color-primary-500: /* your colors */;\n  /* etc... */\n}\n```","ref":"readme.html#css-custom-properties"},{"type":"extras","title":"Component Configuration - FlowbitePhoenix","doc":"Override default component styling through configuration:\n\n```elixir\nconfig :flowbite_phoenix,\n  button: %{\n    base_classes: \"your-custom-classes\",\n    sizes: %{\n      default: \"your-default-size-classes\"\n    }\n  }\n```","ref":"readme.html#component-configuration"},{"type":"extras","title":"Development - FlowbitePhoenix","doc":"To set up the development environment:\n\n```bash\ngit clone https://github.com/flowbite/flowbite_phoenix.git\ncd flowbite_phoenix\nmix deps.get\nmix test\n```","ref":"readme.html#development"},{"type":"extras","title":"Running Tests - FlowbitePhoenix","doc":"```bash\nmix test\n```","ref":"readme.html#running-tests"},{"type":"extras","title":"Generating Documentation - FlowbitePhoenix","doc":"```bash\nmix docs\n```","ref":"readme.html#generating-documentation"},{"type":"extras","title":"Contributing - FlowbitePhoenix","doc":"We welcome contributions! Please see our [Contributing Guide](CONTRIBUTING.md) for details.\n\n1. Fork the repository\n2. Create your feature branch (`git checkout -b feature/amazing-feature`)\n3. Commit your changes (`git commit -m 'Add some amazing feature'`)\n4. Push to the branch (`git push origin feature/amazing-feature`)\n5. Open a Pull Request","ref":"readme.html#contributing"},{"type":"extras","title":"License - FlowbitePhoenix","doc":"This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.","ref":"readme.html#license"},{"type":"extras","title":"Acknowledgments - FlowbitePhoenix","doc":"- [Flowbite](https://flowbite.com) - For the beautiful CSS framework\n- [Phoenix Framework](https://phoenixframework.org/) - For the amazing web framework\n- [Tailwind CSS](https://tailwindcss.com/) - For the utility-first CSS framework\n- [Heroicons](https://heroicons.com/) - For the beautiful icons","ref":"readme.html#acknowledgments"},{"type":"extras","title":"Links - FlowbitePhoenix","doc":"- [Documentation](https://hexdocs.pm/flowbite_phoenix)\n- [Hex Package](https://hex.pm/packages/flowbite_phoenix)\n- [GitHub Repository](https://github.com/flowbite/flowbite_phoenix)\n- [Flowbite Documentation](https://flowbite.com/docs/)\n- [Phoenix Components Guide](https://hexdocs.pm/phoenix/components.html)","ref":"readme.html#links"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nAll notable changes to this project will be documented in this file.\n\nThe format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\nand this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).\n\n## [Unreleased]\n\n## [0.1.2] - 2025-01-25","ref":"changelog.html"},{"type":"extras","title":"Changed - Changelog","doc":"- Updated Phoenix LiveView compatibility to `~> 1.0` (from `~> 0.20`)\n- Updated for Phoenix LiveView 1.0.17 compatibility\n\n## [0.1.1] - 2025-01-25","ref":"changelog.html#changed"},{"type":"extras","title":"Fixed - Changelog","doc":"- **BREAKING**: Updated installation task to use `flowbite.phoenix.js` instead of regular `flowbite.js`\n- Updated documentation to emphasize importance of Phoenix LiveView compatible JavaScript\n- Added troubleshooting section for common JavaScript issues\n- Enhanced installation messages to highlight Phoenix-specific JS requirements","ref":"changelog.html#fixed"},{"type":"extras","title":"Documentation - Changelog","doc":"- Added comprehensive JavaScript setup guide with NPM and CDN options\n- Included Tailwind configuration examples\n- Added troubleshooting section for common issues\n\n## [0.1.0] - 2025-01-25","ref":"changelog.html#documentation"},{"type":"extras","title":"Added - Changelog","doc":"- Initial FlowbitePhoenix component library\n- Form components (input, button, simple_form, toggle, label, error)\n- Layout components (modal, table, card, card_header, header, icon)\n- Feedback components (flash, flash_group, alert, badge, spinner)\n- Navigation components (dropdown, back, breadcrumb, pagination)\n- Optional Gettext integration with fallback strings\n- Configuration system for theme customization\n- Mix task for easy installation (`mix flowbite_phoenix.install`)\n- Comprehensive test suite\n- ExDoc documentation","ref":"changelog.html#added"},{"type":"extras","title":"Features - Changelog","doc":"- 🎨 Beautiful components with Flowbite styling\n- 🌙 Full dark mode support\n- 🎯 Type-safe Phoenix.Component integration\n- 🌍 i18n ready with optional Gettext\n- 🔧 Customizable theming system\n- 📱 Responsive, mobile-first design\n- ⚡ Optimized for Phoenix LiveView","ref":"changelog.html#features"},{"type":"extras","title":"Links - Changelog","doc":"- 📦 [Hex Package](https://hex.pm/packages/flowbite_phoenix)\n- 📚 [Documentation](https://hexdocs.pm/flowbite_phoenix/0.1.0/FlowbitePhoenix.html)\n- 🐙 [GitHub Repository](https://github.com/flowbite/flowbite_phoenix)","ref":"changelog.html#links"},{"type":"extras","title":"Contributing to FlowbitePhoenix","doc":"# Contributing to FlowbitePhoenix\n\nThank you for your interest in contributing to FlowbitePhoenix! We welcome contributions from everyone.","ref":"contributing.html"},{"type":"extras","title":"Getting Started - Contributing to FlowbitePhoenix","doc":"1. Fork the repository\n2. Clone your fork: `git clone https://github.com/your-username/flowbite_phoenix.git`\n3. Install dependencies: `mix deps.get`\n4. Run tests: `mix test`","ref":"contributing.html#getting-started"},{"type":"extras","title":"Development Process - Contributing to FlowbitePhoenix","doc":"","ref":"contributing.html#development-process"},{"type":"extras","title":"Making Changes - Contributing to FlowbitePhoenix","doc":"1. Create a new branch: `git checkout -b feature/your-feature-name`\n2. Make your changes\n3. Add or update tests as needed\n4. Ensure all tests pass: `mix test`\n5. Update documentation if needed\n6. Commit your changes with a clear message","ref":"contributing.html#making-changes"},{"type":"extras","title":"Code Style - Contributing to FlowbitePhoenix","doc":"- Follow Elixir conventions and formatting\n- Run `mix format` before committing\n- Add documentation for public functions\n- Keep component APIs consistent with existing patterns","ref":"contributing.html#code-style"},{"type":"extras","title":"Testing - Contributing to FlowbitePhoenix","doc":"- Write tests for new components and functionality\n- Ensure all existing tests continue to pass\n- Test components in both light and dark modes when applicable","ref":"contributing.html#testing"},{"type":"extras","title":"Documentation - Contributing to FlowbitePhoenix","doc":"- Update README.md if adding new features\n- Add examples to component documentation\n- Update CHANGELOG.md for notable changes","ref":"contributing.html#documentation"},{"type":"extras","title":"Component Guidelines - Contributing to FlowbitePhoenix","doc":"","ref":"contributing.html#component-guidelines"},{"type":"extras","title":"Naming Conventions - Contributing to FlowbitePhoenix","doc":"- Use clear, descriptive names for components\n- Follow Flowbite component naming when possible\n- Use consistent parameter names across similar components","ref":"contributing.html#naming-conventions"},{"type":"extras","title":"Styling - Contributing to FlowbitePhoenix","doc":"- Use Flowbite classes whenever possible\n- Support dark mode variants\n- Make styling configurable through the config system\n- Follow responsive design principles","ref":"contributing.html#styling"},{"type":"extras","title":"Attributes - Contributing to FlowbitePhoenix","doc":"- Document all component attributes with examples\n- Use Phoenix.Component attribute validation\n- Provide sensible defaults\n- Support common HTML attributes through `rest` globals","ref":"contributing.html#attributes"},{"type":"extras","title":"Pull Request Process - Contributing to FlowbitePhoenix","doc":"1. Update documentation and tests\n2. Ensure your code follows the style guidelines\n3. Create a pull request with a clear title and description\n4. Reference any related issues\n5. Wait for review and address feedback","ref":"contributing.html#pull-request-process"},{"type":"extras","title":"Reporting Issues - Contributing to FlowbitePhoenix","doc":"When reporting issues, please include:\n\n- FlowbitePhoenix version\n- Phoenix/LiveView versions\n- Clear steps to reproduce\n- Expected vs actual behavior\n- Screenshots if applicable","ref":"contributing.html#reporting-issues"},{"type":"extras","title":"Code of Conduct - Contributing to FlowbitePhoenix","doc":"- Be respectful and inclusive\n- Focus on constructive feedback\n- Help others learn and grow\n- Maintain a welcoming environment","ref":"contributing.html#code-of-conduct"},{"type":"extras","title":"Questions? - Contributing to FlowbitePhoenix","doc":"Feel free to open an issue for questions about contributing or join discussions in existing issues.\n\nThank you for contributing to FlowbitePhoenix!","ref":"contributing.html#questions"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2025 FlowbitePhoenix Contributors\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}